Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class CharacterString

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString

All Implemented Interfaces:
  ASN1Value

Direct Known Subclasses:
  BMPString, IA5String, PrintableString, TeletexString, UniversalString, UTF8String

public abstract class CharacterString
extends java.lang.Object
implements ASN1Value

An abstract base class for all character string types in ASN.1.

Nested Class Summary
`static class` | `CharacterString.Template`

Field Summary
`private byte[]` | `cachedContents`
`private char[]` | `chars`
`(package private) static Form` | `FORM`

Constructor Summary
`protected` | `CharacterString(char[] chars)`
`protected` | `CharacterString(java.lang.String s)`

Method Summary
`private byte[]` | `computeContents()`
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`(package private) abstract CharConverter` | `getCharConverter()`
`private byte[]` | `getEncodedContents()`
`abstract Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`char[]` | `toCharArray()` Converts this ASN.1 character string to an array of Java characters.
`java.lang.String` | `toString()` Converts this ASN.1 character string to a Java String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FORM

    static final Form FORM

### chars

    private char[] chars

### cachedContents

    private byte[] cachedContents

Constructor Detail

### CharacterString

    protected CharacterString(char[] chars)
                       throws java.io.CharConversionException

### CharacterString

    protected CharacterString(java.lang.String s)
                       throws java.io.CharConversionException

Method Detail

### getCharConverter

    abstract CharConverter getCharConverter()

### getTag

    public abstract Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### toString

    public java.lang.String toString()

  Converts this ASN.1 character string to a Java String.

  Overrides:
    `toString` in class `java.lang.Object`

### toCharArray

    public char[] toCharArray()

  Converts this ASN.1 character string to an array of Java characters.

### getEncodedContents

    private byte[] getEncodedContents()

### computeContents

    private byte[] computeContents()
                            throws java.io.CharConversionException

    `java.io.CharConversionException`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD